Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class EtchedBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.EtchedBorder

Direct Known Subclasses:
  BorderUIResource.EtchedBorderUIResource

public class EtchedBorder
extends AbstractBorder

A class which implements a simple etched border which can either be etched-in or etched-out. If no highlight/shadow colors are initialized when the border is created, then these colors will be dynamically derived from the background color of the component argument passed into the paintBorder() method.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected int` | `etchType`
`protected java.awt.Color` | `highlight`
`static int` | `LOWERED` Lowered etched type.
`static int` | `RAISED` Raised etched type.
`protected java.awt.Color` | `shadow`

Constructor Summary
`EtchedBorder()` Creates a lowered etched border whose colors will be derived from the background color of the component passed into the paintBorder method.
`EtchedBorder(java.awt.Color highlight, java.awt.Color shadow)` Creates a lowered etched border with the specified highlight and shadow colors.
`EtchedBorder(int etchType)` Creates an etched border with the specified etch-type whose colors will be derived from the background color of the component passed into the paintBorder method.
`EtchedBorder(int etchType, java.awt.Color highlight, java.awt.Color shadow)` Creates an etched border with the specified etch-type, highlight and shadow colors.

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`int` | `getEtchType()` Returns which etch-type is set on the etched border.
`java.awt.Color` | `getHighlightColor(java.awt.Component c)` Returns the highlight color of the etched border.
`java.awt.Color` | `getShadowColor(java.awt.Component c)` Returns the shadow color of the etched border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RAISED

    public static final int RAISED

  Raised etched type.

### LOWERED

    public static final int LOWERED

  Lowered etched type.

### etchType

    protected int etchType

### highlight

    protected java.awt.Color highlight

### shadow

    protected java.awt.Color shadow

Constructor Detail

### EtchedBorder

    public EtchedBorder()

  Creates a lowered etched border whose colors will be derived from the background color of the component passed into the paintBorder method.

### EtchedBorder

    public EtchedBorder(int etchType)

  Creates an etched border with the specified etch-type whose colors will be derived from the background color of the component passed into the paintBorder method.
  Parameters:
    `etchType` - the type of etch to be drawn by the border

### EtchedBorder

    public EtchedBorder(java.awt.Color highlight,
                        java.awt.Color shadow)

  Creates a lowered etched border with the specified highlight and shadow colors.
  Parameters:
    `highlight` - the color to use for the etched highlight
    `shadow` - the color to use for the etched shadow

### EtchedBorder

    public EtchedBorder(int etchType,
                        java.awt.Color highlight,
                        java.awt.Color shadow)

  Creates an etched border with the specified etch-type, highlight and shadow colors.
  Parameters:
    `etchType` - the type of etch to be drawn by the border
    `highlight` - the color to use for the etched highlight
    `shadow` - the color to use for the etched shadow

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the border for the specified component with the specified position and size.
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border
  Overrides:
    paintBorder in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.
  Parameters:
    `c` - the component for which this border insets value applies
  Overrides:
    getBorderInsets in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized
  Overrides:
    getBorderInsets in class AbstractBorder

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque.
  Overrides:
    isBorderOpaque in class AbstractBorder

### getEtchType

    public int getEtchType()

  Returns which etch-type is set on the etched border.

### getHighlightColor

    public java.awt.Color getHighlightColor(java.awt.Component c)

  Returns the highlight color of the etched border.

### getShadowColor

    public java.awt.Color getShadowColor(java.awt.Component c)

  Returns the shadow color of the etched border.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.